#Generaul util things

import pygame

class SkipAnim(Exception):
    pass

#Handles events and raises errors, to skip stuff
class Handler:
    def process(self):
        for e in pygame.event.get():
            if e.type == pygame.KEYDOWN and e.key == pygame.K_ESCAPE:
                raise SkipAnim()

def pause(seconds,handler=None):
    """Pause everything for set number of seconds"""
    c = pygame.time.Clock()
    while seconds>0:
        seconds -= c.tick(60)/1000.0
        if handler:
            handler.process()

def point_in_rect(point,pos,size):
    px,py = point
    dx,dy = pos
    sx,sy = size
    ex,ey = dx+sx,dy+sy
    if px>=dx and px<=ex \
       and py>=dy and py<=ey:
           return True
    return False
